﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.Odbc;

namespace SDKTest
{
    class Program
    {
        const string LICENSE = "TRIAL-LICENSE-KEY";

        static void Main(string[] args)
        {
            var simple = true;

            if (simple)
            {
                SimpleExample();
            }
            else
            {
                AdvancedExample();
            }
        }

        static void SimpleExample()
        {
            var ctrl = new AllAboutPDF.DRM.DRMController(LICENSE);

            var settings = new AllAboutPDF.DRM.PayloadModel()
            {
                ExpiryDate = DateTime.Now.AddDays(1),
                ExpiryMessage = "The document has expired",
            };

            ctrl.ProtectPDF(@"C:\Demo\Company Details 2020.pdf", settings, @"C:\Demo\Company Details 2020.pdfe");
        }

        static void AdvancedExample()
        {
            var ctrl = new AllAboutPDF.DRM.DRMController(LICENSE);

            var settings = new AllAboutPDF.DRM.PayloadModel()
            {
                ExpiryDate = DateTime.Now.AddDays(1),
                ExpiryMessage = "The document has expired",
                AllowPrinting = true,
            };

            var extendedProps = new AllAboutPDF.DRM.ExtendedDRMProps()
            {
                IsGeolocked = true,
                AllowedCountryCodes = new List<string>() { "UK", "USA", "CA" }, //ISO 3166 country codes
                IsDomainLocked = false,
                LimitNumberOfPrintsAllowed = true,
                MaxPrintsAllowed = 5
            };

            settings.ExtendedProp = extendedProps;

            ctrl.ProtectPDF(@"C:\Demo\Company Details 2020.pdf", settings, @"C:\Demo\Company Details 2020.pdfe");
        }


    }
}
